//
//  YHConsortInfo.swift
//  galaxy
//
//  Created by edy on 2024/1/23.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHConsortInfo {
    
}

public enum YHTableItemType : Int32 {
    
    // 是否随行
    case accompany = 0
    // 国籍
    case country = 1
    // 居住信息
    case address = 2
    // 港澳通信证
    case hongkongMacaouPassport = 3
}

//表单条目信息
class YHTableItemInfo {
   
    var type:YHTableItemType
    
    init(type: YHTableItemType) {
        self.type = type
    }
    
    // 是否随行
    var isAccompany:Bool = false
    // 港澳通信证
    var isHongKongMacouPassport:Bool = false
    // 国籍
    var nation:String? = ""
    
    
    /** 居住信息  **/
    // 是否与主申请人同住
    var isLiveTogether:Bool = false
    // 现居住国家
    var liveContry:String? = ""
    // 现居住城市
    var liveCity:String? = ""
    // 现居住详细地址
    var liveAddress:String? = ""
    
    func getTitle(_ type:YHTableItemType)-> String {
        switch type {
        case .accompany:
            return "随行".local
        case .country:
            return "国籍".local
        case .address:
            return "居住信息".local
        case .hongkongMacaouPassport:
            return "港澳通信证".local
        default:
            return ""
        }
    }
    
}
